# Installment plans

Installment plans can be used to periodically charge a customer by specifying the amount and interval. The amount and number of periods are fixed.

The main difference with a subscription is that an installment plan does not run indefinitely and the invoice is generated up front. Where with a subscription it can run indefinitely and an invoice is created for each period.

If you are unsure which to use we suggest to look at the [Subscriptions](/reference/api/subscriptions) first. Most use cases can be solved with subscriptions and installment plans should only be considered if a single invoice is required.


## Retrieves a list of installment plans

 - [GET /installment_plans](https://docs.paypro.nl/reference/api/installment-plans/retrievelistofinstallmentplans.md): Retrieve a list of installment plans that have been created for your account. The installment plans are sorted, with the most recent first.

## Creates a installment plan

 - [POST /installment_plans](https://docs.paypro.nl/reference/api/installment-plans/createinstallmentplan.md): Creates a Installment plan object.

After you have created a Installment plan, it will start immediately when mandate is given. When pay_methods are given you need to redirect the customer to the checkout link in the links section.

## Retrieves a installment plan

 - [GET /installment_plans/{id}](https://docs.paypro.nl/reference/api/installment-plans/retrieveinstallmentplan.md): Retrieves a single installment plan based on the id.

## Updates an installment plan

 - [PATCH /installment_plans/{id}](https://docs.paypro.nl/reference/api/installment-plans/updateinstallmentplan.md): Updates an Installment plan object. Returns the updated Installment plan

## Cancels a installment plan

 - [DELETE /installment_plans/{id}](https://docs.paypro.nl/reference/api/installment-plans/cancelinstallmentplan.md): Cancels a installment plan. A canceled installment plan will no longer create new installment plan periods.
It is not possible to resume a canceled installment plan.

## Retrieves a list installment plan periods that belong to this installment plan

 - [GET /installment_plans/{id}/installment_plan_periods](https://docs.paypro.nl/reference/api/installment-plans/retrievelistofinstallmentplanperiodsbyinstallmentplan.md): Retrieves a list of installment plan periods that belong to this installment plan.

## Pauses a installment plan

 - [POST /installment_plans/{id}/pause](https://docs.paypro.nl/reference/api/installment-plans/pauseinstallmentplan.md): Pauses a installment plan. A paused installment plan will no longer create new installment plan periods.

You can resume the installment plan by calling the /installment_plans/:id/resume endpoint.

## Resumes a paused installment plan

 - [POST /installment_plans/{id}/resume](https://docs.paypro.nl/reference/api/installment-plans/resumeinstallmentplan.md): Resumes a paused installment plan. The paused installment plan will return to the active state and will resume creating new installment plan periods.

It is not possible to resume a canceled installment plan.

